class SearchModule {
  static init() {
    const searchInput = DOM.get('.search-input');

    searchInput.on('keypress', (e) => {
      const value = CDElement.get(e.target).getValue();
      if(e.key === 'Enter' && !isEmpty(value))
        ClassListModule.setQuery(value, true);
    });

    searchInput.on('input', (e) => {
      const value = CDElement.get(e.target).getValue();
      if(isEmpty(value))
        ClassListModule.setQuery(value, true);
    });
  }
}

window_.on('load', (e) => {
  SearchModule.init();
});