import {HttpMethod, Route, StatusCodes} from 'org.crazydoctor.expressts';
import {Request, Response} from 'express';
import { Sources } from '../sources/Sources';

class PostUpdateSources extends Route {

	protected action = (req: Request, res: Response): any => {
		try {
			Sources.update(() => {
				res.status(StatusCodes.OK).send('OK');
			});
		} catch(e) {
			res.status(StatusCodes.INTERNAL_SERVER_ERROR).send('Internal server error');
		}
	};

	protected method = HttpMethod.POST;
	protected order = 1;
	protected route = '/updateSources';
}

export default PostUpdateSources;